task prepareaa {

  File dedup_bam
  File dedup_bamindex
  String sample_name
  String sample_id
  String docker
  String cluster_config
  String disk_size
  command <<<
    set -o pipefail
    set -e 
    echo export AA_DATA_REPO=/home/data_repo >> ~/.bashrc
    export MOSEKLM_LICENSE_FILE= /home/programs/mosek/8/licenses/mosek.lic>> ~/.bashrc
    source ~/.bashrc
    mkdir /home/output/${sample_id}
    /home/programs/PrepareAA-master/PrepareAA.py -s ${sample_name} -t 15 --cnvkit_dir /home/programs/cnvkit.py --sorted_bam ${dedup_bam} --run_AA --ref GRCh38 -o /home/output/${sample_id}
  
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  output {
    Array[File]  prepareaa_result= glob("/home/output/${sample_id}*")
  }
}
